## org.eclipse.datatools.modelbase.sql.datatypes
Interface TimeDataType

All Superinterfaces:
  DataType, PredefinedDataType, SQLDataType, SQLObject

All Known Implementing Classes:
  TimeDataTypeImpl

public interface TimeDataType
extends PredefinedDataType

A representation of the model object 'Time Data Type'. Reference: 5WD-02-Foundation-2002-12 4.6.1 Datetimes

The following features are supported:

- `Fractional Seconds Precision`
- `Time Zone`

See Also:
  `SQLDataTypesPackage.getTimeDataType()`

Method Summary
`int` `getFractionalSecondsPrecision()` Returns the value of the 'Fractional Seconds Precision' attribute.
`boolean` `isTimeZone()` Returns the value of the 'Time Zone' attribute.
`void` `setFractionalSecondsPrecision(int value)` Sets the value of the '`Fractional Seconds Precision`' attribute.
`void` `setTimeZone(boolean value)` Sets the value of the '`Time Zone`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getFractionalSecondsPrecision

    public int getFractionalSecondsPrecision()

  Returns the value of the 'Fractional Seconds Precision' attribute.

  If the meaning of the 'Fractional Seconds Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `setFractionalSecondsPrecision(int)`, `SQLDataTypesPackage.getTimeDataType_FractionalSecondsPrecision()`

### setFractionalSecondsPrecision

    public void setFractionalSecondsPrecision(int value)

  Sets the value of the '`Fractional Seconds Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `getFractionalSecondsPrecision()`

### isTimeZone

    public boolean isTimeZone()

  Returns the value of the 'Time Zone' attribute. The default value is `"false"`.

  If the meaning of the 'Time Zone' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Time Zone' attribute.
  See Also:
    `setTimeZone(boolean)`, `SQLDataTypesPackage.getTimeDataType_TimeZone()`

### setTimeZone

    public void setTimeZone(boolean value)

  Sets the value of the '`Time Zone`' attribute.

  Parameters:
    `value` - the new value of the 'Time Zone' attribute.
  See Also:
    `isTimeZone()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.